Firefox 3.5.7 UserAgent has the word "Gecko" missing

RESOLVED INVALID

Status

()

Firefox
General
--
critical
RESOLVED INVALID
8 years ago
8 years ago

People

(Reporter: Abhijit Rajwade, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

8 years ago
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; InfoPath.1; .NET CLR 3.0.04506.648; MS-RTC LM 8)
Build Identifier: Firefox 3.5.7

Firefox 3.5.7 reports UserAgent as following
  Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 2.0.50727

The word "Gecko" is missing from above UserAgent string and hence Firefox detection by looking for the word "Gecko" in UserAgent string fails for many implementations.

Can we please have the word "Gecko" restored in Firefox 3.5.7 UserAgent string?

Reproducible: Always

Steps to Reproduce:
1. Click on "Help->About Mozilla Firefox"
OR
1. Type Javascript:alert(navigator.userAgent) in Browser address bar and hit Carriage return

Actual Results:  
The version or UserAgent string is reported as
  "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 2.0.50727"

Expected Results:  
The word "Gecko" should have appeared in the UserAgent string as is done with all earlier Firefox versions

Restore the word "Gecko" in Firefox 3.5.7 UserAgent string.

In the absence of the word "Gecko" in UserAgent string, many implementations incorrectly detect the Browser as IE 7 and subsequently throw Javascript errors.
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.8pre) Gecko/20100113 Shiretoko/3.5.8pre

Works fine for me as you can see. Have you changed your UA string, by means of an extension or manually in your preferences?
(Reporter)

Comment 2

8 years ago
In my setup, the FF 3.5.7 upgrade or upgrade of one of the FF plug-ins had explicitly overridden the “general.useragent.override” setting of Firefox configuration.

Once I restored “general.useragent.override”  back to default, FF now reports Version / UserAgent correctly.

This issue should be documented in a FAQ so that other Firefox User's don't waste their time trying to figure this out.

Thx & Regards
--- Abhijit Rajwade
(Reporter)

Comment 3

8 years ago
In my setup, the FF 3.5.7 upgrade or upgrade of one of the FF plug-ins had explicitly overridden the “general.useragent.override” setting of Firefox configuration.

Once I restored “general.useragent.override”  back to default, FF now reports Version / UserAgent correctly.

This issue should be documented in a FAQ so that other Firefox User's don't waste their time trying to figure this out.

Thx & Regards
--- Abhijit Rajwade
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → INVALID
http://kb.mozillazine.org/Firefox_:_FAQs_:_About:config_Entries documents all the about:config entries.
You need to log in before you can comment on or make changes to this bug.